Bug 734576 - RFE: Means for plugins to add options to all yum commands
Summary: RFE: Means for plugins to add options to all yum commands
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 19:17 UTC by Matt McCutchen
Modified: 2012-11-20 19:37 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-07 20:27:10 UTC


Attachments (Terms of Use)
Patch (1.09 KB, patch)
2011-08-30 19:17 UTC, Matt McCutchen
no flags Details | Diff

Description Matt McCutchen 2011-08-30 19:17:45 UTC
Created attachment 520671 [details]
Patch

Description of problem:
I have a custom mock plugin (more details to follow) that needs to add options to all yum commands.  I was previously able to achieve this by adding space-separated options to RootObj.yum{,_builddep}_path, but with commit 5c98de44cab6089cbab5550ab1d418dba9c9abd7, I needed to add a RootObj.yum_common_opts array.  Please consider the attached patch.

Version-Release number of selected component (if applicable):
mock-1.1.12-1.fc15

Comment 1 Clark Williams 2012-07-27 20:41:25 UTC
merged and queued for 1.1.24 release

Comment 2 Fedora Update System 2012-07-27 22:11:49 UTC
mock-1.1.24-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.24-1.fc16

Comment 3 Fedora Update System 2012-07-27 22:12:10 UTC
mock-1.1.24-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.24-1.el6

Comment 4 Fedora Update System 2012-07-27 22:12:27 UTC
mock-1.1.24-2.1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.24-2.1.fc17

Comment 5 Fedora Update System 2012-07-27 22:12:46 UTC
mock-1.0.31-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.31-1.el5

Comment 6 Fedora Update System 2012-07-29 20:31:47 UTC
Package mock-1.0.31-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.31-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6542/mock-1.0.31-1.el5
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-07-31 20:30:31 UTC
mock-1.1.25-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.25-1.fc17

Comment 8 Fedora Update System 2012-07-31 20:30:54 UTC
mock-1.1.25-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.25-1.el6

Comment 9 Fedora Update System 2012-07-31 20:31:21 UTC
mock-1.0.32-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.32-1.el5

Comment 10 Fedora Update System 2012-07-31 20:31:44 UTC
mock-1.1.25-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.25-1.fc16

Comment 11 Fedora Update System 2012-08-06 18:46:13 UTC
mock-1.1.26-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.26-1.fc17

Comment 12 Fedora Update System 2012-08-06 18:46:46 UTC
mock-1.1.26-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.26-1.el6

Comment 13 Fedora Update System 2012-08-06 18:47:15 UTC
mock-1.1.26-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.26-1.fc16

Comment 14 Fedora Update System 2012-08-06 18:47:46 UTC
mock-1.0.34-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.34-1.el5

Comment 15 Fedora End Of Life 2012-08-07 20:27:12 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Fedora Update System 2012-08-15 21:49:01 UTC
mock-1.1.26-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.26-2.fc17

Comment 17 Fedora Update System 2012-08-17 11:52:37 UTC
mock-1.1.26-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.26-2.el6

Comment 18 Fedora Update System 2012-08-17 11:54:01 UTC
mock-1.1.26-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.26-2.fc16

Comment 19 Fedora Update System 2012-08-26 00:23:07 UTC
mock-1.1.26-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-09-14 15:27:28 UTC
mock-1.1.27-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.27-2.el6

Comment 21 Fedora Update System 2012-09-14 15:28:35 UTC
mock-1.1.27-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.27-2.fc16

Comment 22 Fedora Update System 2012-09-14 15:29:29 UTC
mock-1.0.35-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.35-1.el5

Comment 23 Fedora Update System 2012-09-14 15:30:34 UTC
mock-1.1.27-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.27-2.fc17

Comment 24 Fedora Update System 2012-11-01 21:09:36 UTC
mock-1.1.28-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.el6

Comment 25 Fedora Update System 2012-11-01 21:10:54 UTC
mock-1.1.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc18

Comment 26 Fedora Update System 2012-11-01 21:12:05 UTC
mock-1.0.36-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.36-1.el5

Comment 27 Fedora Update System 2012-11-01 21:13:14 UTC
mock-1.1.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc17

Comment 28 Fedora Update System 2012-11-01 21:14:20 UTC
mock-1.1.28-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.28-1.fc16

Comment 29 Fedora Update System 2012-11-15 02:33:09 UTC
mock-1.1.28-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2012-11-15 02:35:19 UTC
mock-1.1.28-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2012-11-20 19:37:43 UTC
mock-1.0.36-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.